# -*- encoding: utf-8 -*-
# stub: sensu-plugins-docker-swarm 3.3.6 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-docker-swarm".freeze
  s.version = "3.3.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "@bkneis", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Veea Inc.".freeze]
  s.date = "2019-06-25"
  s.description = "This plugin provides native Docker instrumentation\n                              for monitoring and metrics collection, including:\n                              container status, container number, container\n                              metrics via `docker ps`, service status and service logs".freeze
  s.email = "bryan@veeasystems.com".freeze
  s.executables = ["metrics-docker-info.rb".freeze, "check-service.rb".freeze, "metrics-docker-container.rb".freeze, "check-docker-container.rb".freeze, "check-container.rb".freeze, "check-container-logs.rb".freeze, "check-service-logs.rb".freeze, "metrics-docker-stats.rb".freeze]
  s.files = ["bin/check-container-logs.rb".freeze, "bin/check-container.rb".freeze, "bin/check-docker-container.rb".freeze, "bin/check-service-logs.rb".freeze, "bin/check-service.rb".freeze, "bin/metrics-docker-container.rb".freeze, "bin/metrics-docker-info.rb".freeze, "bin/metrics-docker-stats.rb".freeze]
  s.homepage = "https://github.com/bkneis/sensu-plugins-docker".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for docker swarm".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<sys-proctable>.freeze, ["= 0.9.8"])
    s.add_runtime_dependency(%q<net_http_unix>.freeze, ["= 0.2.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 2.0"])
    s.add_dependency(%q<sys-proctable>.freeze, ["= 0.9.8"])
    s.add_dependency(%q<net_http_unix>.freeze, ["= 0.2.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
